Bug 1253468 - UI: Error when trying to access Cluster summary screen
UI: Error when trying to access Cluster summary screen
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 14:27 EDT by Ramesh A
Modified: 2015-12-08 08:27 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:27:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Cluster Summary Screen Error (48.55 KB, image/png)
2015-08-13 14:27 EDT, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-08-13 14:27:34 EDT
Created attachment 1062758 [details]
Cluster Summary Screen Error

Description of problem:
Error when trying to access Cluster summary screen

Version-Release number of selected component (if applicable):
master.20150813094605_98b8bee

How reproducible:
Very

Steps to Reproduce:
1. Navigate to Infrastructure ==> Clusters ==> Click on the cluster
2.
3.

Actual results:
"uninitialized constant EmsClusterHelper::TextualSummary::EmsClusterOpenstackInfra [ems_cluster/show]" error is thrown in the UI 

Expected results:


Additional info:
evm.log:
=======
[----] E, [2015-08-13T14:21:02.329866 #14071:b4198c] ERROR -- : [NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManager::RefreshParser::Filter::Parser  Method:[rescue in block in refresh]
[----] E, [2015-08-13T14:21:02.330040 #14071:b4198c] ERROR -- : /var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:109:in `block in const_missing_with_sti'
/var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:205:in `nest'
/var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:108:in `const_missing_with_sti'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:390:in `get_mors'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:181:in `block in storage_inv_by_host_inv'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:180:in `each_value'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:180:in `storage_inv_by_host_inv'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:122:in `filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:92:in `block (2 levels) in get_and_filter_vc_data'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:92:in `block in get_and_filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:91:in `collect'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:91:in `get_and_filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:77:in `block in refresh_targets_for_ems'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:77:in `refresh_targets_for_ems'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:56:in `block (2 levels) in refresh'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:56:in `block in refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:47:in `each'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:47:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:12:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:78:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:77:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:77:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:89:in `block in timeout'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `block in catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:328:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:146:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:127:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `load'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 1 Ramesh A 2015-08-13 14:28:07 EDT
Github Link - https://github.com/ManageIQ/manageiq/issues/3835
Comment 3 Ladislav Smola 2015-09-23 04:28:14 EDT
fixed by https://github.com/ManageIQ/manageiq/pull/3836
Comment 4 Ramesh A 2015-10-27 09:13:31 EDT
Good to go.  Verified and working fine in 5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 6 errata-xmlrpc 2015-12-08 08:27:14 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.